org.apache.hc.core5.pool

## Enum PoolConcurrencyPolicy

- java.lang.Object
- - java.lang.Enum<PoolConcurrencyPolicy>
  - - org.apache.hc.core5.pool.PoolConcurrencyPolicy

- All Implemented Interfaces:
    Serializable, Comparable<PoolConcurrencyPolicy>

      public enum PoolConcurrencyPolicy
      extends Enum<PoolConcurrencyPolicy>

  Enumeration of pool concurrency policies
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAX` Higher concurrency but with lax connection max limit guarantees.
    `STRICT` Strict connection max limit guarantees.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PoolConcurrencyPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PoolConcurrencyPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAX

          public static final PoolConcurrencyPolicy LAX

      Higher concurrency but with lax connection max limit guarantees.

    - #### STRICT

          public static final PoolConcurrencyPolicy STRICT

      Strict connection max limit guarantees.

  - ### Method Detail

    - #### values

          public static PoolConcurrencyPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PoolConcurrencyPolicy c : PoolConcurrencyPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PoolConcurrencyPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.